Active, new, returning, retained and churned affiliate creators per week or month
GET
/api/public/v1/tik_tok_shop/affiliate/creator_activityConnectorAnswers empty results in the documented shape until the brand switches on this connection.
Operation id getTikTokShopCreatorActivity
Request
curl
curl "https://creator.growthdept.ai/api/public/v1/tik_tok_shop/affiliate/creator_activity?start_date=2026-11-01&end_date=2026-11-01" \
-H "Authorization: Bearer gdc_..."Parameters
| Name | In | Type | Notes |
|---|---|---|---|
| start_date | query | string | required |
| end_date | query | string | required |
| granularity | query | string | One of weekmonth Default week |
| organization_id | query | integer |
Responses
200Success
| Field | Type | Notes |
|---|---|---|
| currency | string, nullable | |
| granularity | string, nullable | |
| historyFrom | string, nullable | |
| note | string, nullable | |
| periods | array of object, nullable | |
| periods[].[].active | object, nullable | |
| periods[].[].active.creators | number, nullable | |
| periods[].[].active.gmvGross | number, nullable | |
| periods[].[].active.orders | number, nullable | |
| periods[].[].churned | object, nullable | |
| periods[].[].churned.creators | number, nullable | |
| periods[].[].churned.gmvGross | number, nullable | |
| periods[].[].churned.orders | number, nullable | |
| periods[].[].from | string, nullable | |
| periods[].[].new | object, nullable | |
| periods[].[].new.creators | number, nullable | |
| periods[].[].new.gmvGross | number, nullable | |
| periods[].[].new.orders | number, nullable | |
| periods[].[].partial | boolean, nullable | |
| periods[].[].period | string, nullable | |
| periods[].[].retained | object, nullable | |
| periods[].[].retained.creators | number, nullable | |
| periods[].[].retained.gmvGross | number, nullable | |
| periods[].[].retained.orders | number, nullable | |
| periods[].[].returning | object, nullable | |
| periods[].[].returning.creators | number, nullable | |
| periods[].[].returning.gmvGross | number, nullable | |
| periods[].[].returning.orders | number, nullable | |
| periods[].[].to | string, nullable | |
| source | string, nullable | |
| sweptThrough | string, nullable | |
| timezone | string, nullable | |
| window | object, nullable | |
| window.endDate | string, nullable | |
| window.startDate | string, nullable |
Example
{
"currency": "usd",
"granularity": "string",
"historyFrom": "string",
"note": "string",
"periods": [
{
"active": {
"creators": 125.5,
"gmvGross": 125.5,
"orders": 125.5
},
"churned": {
"creators": 125.5,
"gmvGross": 125.5,
"orders": 125.5
},
"from": "string",
"new": {
"creators": 125.5,
"gmvGross": 125.5,
"orders": 125.5
},
"partial": true,
"period": "string",
"retained": {
"creators": 125.5,
"gmvGross": 125.5,
"orders": 125.5
},
"returning": {
"creators": 125.5,
"gmvGross": 125.5,
"orders": 125.5
},
"to": "string"
}
],
"source": "string",
"sweptThrough": "string",
"timezone": "string",
"window": {
"endDate": "string",
"startDate": "string"
}
}Errors: 400401404422429502with an error and usually a message. See errors.
Example values are made up from each field's type and name.